import { ColorHighlight as ColorHighlightElement } from "@kit-data-manager/pid-component/dist/components/color-highlight.js";
import { CopyButton as CopyButtonElement } from "@kit-data-manager/pid-component/dist/components/copy-button.js";
import { LocaleVisualization as LocaleVisualizationElement } from "@kit-data-manager/pid-component/dist/components/locale-visualization.js";
import { PidComponent as PidComponentElement } from "@kit-data-manager/pid-component/dist/components/pid-component.js";
import type { StencilReactComponent } from '@stencil/react-output-target/runtime';
type ColorHighlightEvents = NonNullable<unknown>;
export declare const ColorHighlight: StencilReactComponent<ColorHighlightElement, ColorHighlightEvents>;
type CopyButtonEvents = NonNullable<unknown>;
export declare const CopyButton: StencilReactComponent<CopyButtonElement, CopyButtonEvents>;
type LocaleVisualizationEvents = NonNullable<unknown>;
export declare const LocaleVisualization: StencilReactComponent<LocaleVisualizationElement, LocaleVisualizationEvents>;
type PidComponentEvents = NonNullable<unknown>;
export declare const PidComponent: StencilReactComponent<PidComponentElement, PidComponentEvents>;
export {};
